export default function ({ $axios, redirect }) {
  $axios.onRequest((config) => {
    // console.log('onRequest config:', config)
  })

  $axios.onResponse((res) => {
    if (res.data.success === false) {
      // console.log('请求失败')
      return
    }
    // console.log('onResponse data:', res)
    return res
  })

  $axios.onError((error) => {
    // if (error.response.status === 500) {
    //   redirect('/sorry')
    // }
  })
}
